pdftoppm(1)

NAME
pdftocairo - Portable Document Format (PDF) to PNG/JPEG/PDF/PS/EPS/SVG using cairo

SYNOPSIS
pdftocairo [options] PDF-file [output-file]

DESCRIPTION
pdftocairo converts Portable Document Format (PDF) files, using the cairo output device of the poppler PDF library, to any of the following output formats:

•   Portable Network Graphics (PNG)

•   JPEG Interchange Format (JPEG)

•   Portable Document Format (PDF)

•   PostScript (PS)

•   Encapsulated PostScript (EPS)

•   Scalable Vector Graphics (SVG)

pdftocairo reads the PDF file, PDF-file, and writes to output-file. The image formats (PNG and JPEG) generate one file per page with the page number and file type appended to output-file (except when -singlefile is used). When the output format is a vector format (PDF, PS, EPS, and SVG) or when -singlefile is used, output-file is the full filename. If the PDF-file is “-” , the PDF is read from stdin. If the output-file is “-” , the output file will be written to stdout. Using stdout is not valid with image formats unless -singlefile is used. If output-file is not used, the output filename will be derived from the PDF-file filename.

Not all options are valid with all output formats. One (and only one) of the output format options (-png, -jpeg, -pdf, -ps, -eps, or -svg) must be used.

The resolution options (-r, -rx, -ry) set the resolution of the image output formats. The image dimensions will depend on the PDF page size and the resolution. For the vector outputs, regions of the page that can not be represented natively in the output format (eg translucency in PS) will be rasterized at the resolution specified by the resolution options.

The -scale-to options may be used to set a fixed image size. The image resolution will vary with the page size.

The cropping options (-x, -y, -W, and -H) use units of pixels with the image formats and PostScript points (1/72 inch) with the vector formats. When cropping is used with vector output the cropped region is centered unless -nocenter is used in which case the cropped region is at the top left (SVG) or bottom left (PDF, PS, EPS).

OPTIONS

-png
    Generates a PNG file(s)

-jpeg
    Generates a JPEG file(s)

-pdf
    Generates a PDF file

-ps Generate a PS file

-eps
    Generate an EPS file. An EPS file contains a single image, so if you use this option with a multi-page PDF file, you must use -f and -l to specify a single page. The page size options (-origpagesizes, -paper, -paperw, -paperh) can not be used with this option.

-svg
    Generate a SVG (Scalable Vector Graphics) file

-f number
    Specifies the first page to convert.

-l number
    Specifies the last page to convert.

-o  Generates only the odd numbered pages.

-e  Generates only the even numbered pages.

-singlefile
    Writes only the first page and does not add digits.

-r number
    Specifies the X and Y resolution, in pixels per inch of image files (or rasterized regions in vector output). The default is 150 PPI.

-rx number
    Specifies the X resolution, in pixels per inch of image files (or rasterized regions in vector output). The default is 150 PPI.

-ry number
    Specifies the Y resolution, in pixels per inch of image files (or rasterized regions in vector output). The default is 150 PPI.

-scale-to number
    Scales each page to fit in scale-to*scale-to pixel box (PNG/JPEG only).

-scale-to-x number
    Scales each page horizontally to fit in scale-to-x pixels (PNG/JPEG only).

-scale-to-y number
    Scales each page vertically to fit in scale-to-y pixels (PNG/JPEG only).

-x number
    Specifies the x-coordinate of the crop area top left corner in pixels (image output) or points (vector output)

-y number
    Specifies the y-coordinate of the crop area top left corner in pixels (image output) or points (vector output)

-W number
    Specifies the width of crop area in pixels (image output) or points (vector output) (default is 0)

-H number
    Specifies the height of crop area in pixels (image output) or points (vector output) (default is 0)

-sz number
    Specifies the size of crop square in pixels (image output) or points (vector output) (sets -W and -H)

-cropbox
    Uses the crop box rather than media box when generating the files

-mono
    Generate a monochrome file (PNG only).

-gray
    Generate a grayscale file (PNG and JPEG only).

-transp
    Use a transparent page color instead of white (PNG only).

-icc icc-file
    Use the specified ICC file as the output profile (PNG only). The profile will be embedded in the PNG file.

-level2
    Generate Level 2 PostScript (PS only).

-level3
    Generate Level 3 PostScript (PS only). This enables all Level 2 features plus shading patterns and masked images. This is the default setting.

-origpagesizes
    Generate a file with variable page sizes and orientations (PS and PDF only). The size of each page will be the original page in the PDF file. If the output is PS the file will contain %%DocumentMedia and %%PageMedia DSC comments specifying the size of each page. Any specification of the page size via -paper, -paperw, or -paperh will get overridden as long as each page of the PDF file has a defined paper size.

-paper size
    Set the paper size to one of "letter", "legal", "A4", or "A3" (PS,PDF,SVG only). This can also be set to "match", which will set the paper size to match the size specified in the PDF file. -origpagesizes overrides this setting if the PDF file has defined page sizes.

-paperw size
    Set the paper width, in points (PS,PDF,SVG only). -origpagesizes overrides this setting if the PDF file has defined page sizes.

-paperh size
    Set the paper height, in points (PS,PDF,SVG only). -origpagesizes overrides this setting if the PDF file has defined page sizes.

-nocrop
    By default, output is cropped to the CropBox specified in the PDF file. This option disables cropping.

-expand
    Expand PDF pages smaller than the paper to fill the paper (PS,PDF,SVG only). By default, these pages are not scaled.

-noshrink
    Don't scale PDF pages which are larger than the paper (PS,PDF,SVG only). By default, pages larger than the paper are shrunk to fit.

-nocenter
    By default, PDF pages smaller than the paper (after any scaling) are centered on the paper. This option causes them to be aligned to the lower-left corner of the paper instead (PS,PDF,SVG only).

-duplex
    Adds the %%IncludeFeature: *Duplex DuplexNoTumble DSC comment to the PostScript file (PS only). This tells the print manager to enable duplexing.

-opw password
    Specify the owner password for the PDF file. Providing this will bypass all security restrictions.

-upw password
    Specify the user password for the PDF file.

-q  Don't print any messages or errors.

-v  Print copyright and version information.

-h  Print usage information. (-help and --help are equivalent.)

EXIT CODES
The poppler tools use the following exit codes:

0   No error.

1   Error opening a PDF file.

2   Error opening an output file.

3   Error related to PDF permissions.

4   Error related to ICC profile.

99  Other error.

AUTHOR
The pdftocairo software and documentation are copyright 1996-2004 Glyph & Cog, LLC and copyright 2005-2011 The Poppler Developers.

SEE ALSO
pdffonts(1), pdfimages(1), pdfinfo(1), pdftohtml(1), pdftoppm(1), pdftops(1), pdftotext(1)